Page MenuHomePhabricator

Inline File: images may not render if description text includes wikilink
Closed, DeclinedPublic

Description

This revision fails to include the Oak chips in chardonnay.jpg image, instead showing the uninterpreted File: tag inline. It is fixed in the next revision simply be unlinking one word in the description. The description is supposed to permit links, so it's unclear why this fails.

Event Timeline

Pmj created this task.Jul 17 2016, 3:43 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 17 2016, 3:43 AM
Danny_B triaged this task as Normal priority.Jul 17 2016, 12:03 PM
Danny_B edited projects, added MediaWiki-Parser, Parsoid; removed MediaWiki-General.
Danny_B added a subscriber: Danny_B.
Pmj added a comment.Jul 19 2016, 11:57 PM

Agreed; the way it renders gives no indication that the error is in a previous image tag, particularly since the text between the two tags displays correctly.

Arlolra closed this task as Declined.Mar 30 2017, 12:50 PM
Arlolra added a subscriber: Arlolra.

The problem here is mismatched braces,

[[File:Weinfass in Pollenca (18069904421).jpg|thumb|Wooden wine barrel at [[Pollenca], Spain]]]

will try to form this link [[Pollenca], Spain]] but fail since ] in the middle is an invalid char, and then the braces from the beginning [[File:Wein... won't have anything to match with, since there's only one ] leftover.

The fix,

[[File:Weinfass in Pollenca (18069904421).jpg|thumb|Wooden wine barrel at [[Pollenca]], Spain]]

shows that the grammar does support wikilinks in file captions.

Parsoid fails on this case in a slightly different way, but that doesn't detract from this being broken wikitext to begin with.